2014.10.13 09:34

Apache HTTP Server 서비스 거부 취약점


아파치 소프트웨어 재단의 Apache HTTP Server에 영향을 주는 서비스 거부 취약점 발표[1]개요

  • 공격자는 HTTP 헤더를 특수하게 조작해 취약한 시스템에 요청할 경우, 서비스 거부를 유발시킬 수 있으므로 사용자의 주의가 요구됨


설명

  • HTTP 헤더의 ‘Content-Type’ 항목 값을 변조해 서비스 거부를 일으킬 수 있는 취약점(CVE-2014-3581)
  • modules/cache/cache_util.c의 cache_merge_headers_out 함수에서 부적절한 코드로 인한 서비스 거부 취약점 발생


해당 시스템

  • 영향 받는 소프트웨어
  • Apache HTTP 서버 2.4.10 및 이전 버전


해결방안

  • Apache HTTP 서버 2.4.10 및 이전 버전 사용자
  • Apache 소스코드 중 cache_util.c를 다운받아 컴파일 후 사용[2]


용어 정리

  • Apache HTTP Server : 아파치 소프트웨어 재단에서 개발한 웹 서버


기타 문의사항

  • 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118


[참고사이트]
[1] http://secunia.com/advisories/61539/
[2] http://svn.apache.org/viewvc?view=revision&revision=1627749


Trackback 0 Comment 0